local class = require 'middleclass'

Button = class('Button')

function Button:initialize(x, y, w, h, text, onPress)
	self.x = x
	self.y = y
	self.w = w
	self.h = h

	self.text = text
	self.onPress = onPress

	self.mouseOver = false
end

function Button:update(dt)
	local mouseY = (love.mouse.getY() - windowOffsetY) / windowScale
	local mouseX = (love.mouse.getX() - windowOffsetX) / windowScale

	self.mouseOver = mouseX > self.x and mouseX < self.x + self.w and mouseY > self.y and mouseY < self.y + self.h

	if self.mouseOver and control:mousePressed('l') then
		self.onPress()
	end
end

function Button:draw()
	love.graphics.setFont(smallFont)

	love.graphics.setColor(colorGold.r, colorGold.g, colorGold.b)

	if self.mouseOver then
		love.graphics.rectangle('fill', self.x - 8, self.y - 3, self.w + 14, self.h + 8)
		love.graphics.setColor(colorGreen.r, colorGreen.g, colorGreen.b)
	end

	love.graphics.print(self.text, self.x, self.y)
end