function load()
	-- get a save file
	local levelCompleted = {}
	local saveDir = love.filesystem.getSaveDirectory()

	love.filesystem.createDirectory('')

	local saveFile = io.open(saveDir .. '/save.txt', 'r')
	local loaded = saveFile ~= nil

	if not loaded then
		-- no save file, so create new save at level 1
		save(1)
		return 1
	end

	local levelNumber = saveFile:read('*number')
	saveFile:close()

	return levelNumber
end

function save(levelNumber)
	-- get a save file
	-- will create a new file, or overwrite current one
	love.filesystem.createDirectory('')
	
	local saveDir = love.filesystem.getSaveDirectory()
	local saveFile = io.open(saveDir .. '/save.txt', 'w')

	saveFile:write(tostring(levelNumber))

	saveFile:close()
end

function reset()
	save(1)
end