local class = require 'middleclass'

Toggle = class('Toggle')

function Toggle:initialize(x, y, on, onPress)
	self.x = x
	self.y = y

	self.h = 30

	self.onPress = onPress

	self.mouseOver = false

	if on then
		self.on = true
		self.text = 'on'
		self.w = 30
	else
		self.on = false
		self.text = 'off'
		self.w = 45
	end
end

function Toggle:update(dt)
	local mouseY = (love.mouse.getY() - windowOffsetY) / windowScale
	local mouseX = (love.mouse.getX() - windowOffsetX) / windowScale

	self.mouseOver = mouseX > self.x and mouseX < self.x + self.w and mouseY > self.y and mouseY < self.y + self.h

	if self.mouseOver and control:mousePressed('l') then
		if self.on then
			self.on = false
			self.text = 'off'
			self.w = 45
			self.onPress()
		else
			self.on = true
			self.text = 'on'
			self.w = 30
			self.onPress()
		end
	end
end

function Toggle:draw()
	love.graphics.setFont(smallFont)

	love.graphics.setColor(colorGold.r, colorGold.g, colorGold.b)

	if self.mouseOver then
		love.graphics.rectangle('fill', self.x - 8, self.y - 3, self.w + 14, self.h + 8)
		love.graphics.setColor(colorGreen.r, colorGreen.g, colorGreen.b)
	end

	love.graphics.print(self.text, self.x, self.y)
end